# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3 rpm-macros-fedora-compat
# END SourceDeps(oneline)
%define oldname python-sieve
%define fedora 18
%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%endif

%global modname sieve

Name:             python-module-sieve
Version:          0.1.6
Release:          alt2_7
Summary:          XML Comparison Utils

Group:            Development/Python
License:          MIT
URL:              http://pypi.python.org/pypi/sieve
Source0:          http://pypi.python.org/packages/source/s/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:        noarch


BuildRequires:    python-devel
BuildRequires:    python-module-six
BuildRequires:    python-module-lxml
BuildRequires:    python-module-nose

%if 0%{?with_python3}
BuildRequires:    python3-devel
BuildRequires:    python3-module-matplotlib
BuildRequires:    python3-module-lxml
BuildRequires:    python3-module-nose
%endif

Requires:   python-module-six
Requires:   python-module-lxml
Source44: import.info


%description
Ripped from FormEncode and strainer just to support Pythons 2 and 3.
Intended for use in your webapp test suites.

Example usage::

    >>> from sieve.operators import eq_xml, in_xml 
    >>> a = "<foo><bar>Value</bar></foo>" 
    >>> b = """ 
    ... <foo> 
    ...     <bar>
    ...         Value 
    ...     </bar> 
    ... </foo> 
    ... """
    >>> eq_xml(a, b)
    True 
    >>> c = "<html><body><foo><bar>Value</bar></foo></body></html"
    >>> in_xml(a, c)  # 'needle' in a 'haystack'
    True


%if 0%{?with_python3}
%package -n python3-module-sieve
Summary:        XML Comparison Utils
Group:          Development/Python

Requires:   python3-module-matplotlib
Requires:   python3-module-lxml

%description -n python3-module-sieve
Ripped from FormEncode and strainer just to support Pythons 2 and 3.
Intended for use in your webapp test suites.

Example usage::

    >>> from sieve.operators import eq_xml, in_xml 
    >>> a = "<foo><bar>Value</bar></foo>" 
    >>> b = """ 
    ... <foo> 
    ...     <bar>
    ...         Value 
    ...     </bar> 
    ... </foo> 
    ... """
    >>> eq_xml(a, b)
    True 
    >>> c = "<html><body><foo><bar>Value</bar></foo></body></html"
    >>> in_xml(a, c)  # 'needle' in a 'haystack'
    True
%endif

%prep
%setup -q -n %{modname}-%{version}

rm -rf %{modname}.egg-info

%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
%endif


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py build
popd
%endif


%install
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
popd
%endif

%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%files
%doc README.rst LICENSE.txt
%{python_sitelibdir_noarch}/%{modname}
%{python_sitelibdir_noarch}/%{modname}-%{version}*

%if 0%{?with_python3}
%files -n python3-module-sieve
%doc LICENSE.txt README.rst
%{python3_sitelibdir_noarch}/%{modname}
%{python3_sitelibdir_noarch}/%{modname}-%{version}-*

%endif


%changelog
* Mon Apr 01 2013 Cronbuild Service <cronbuild@altlinux.org> 0.1.6-alt2_7
- rebuild to get rid of unmets

* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.6-alt1_7
- initial fc import

